package com.yeejoin.amos.patrol.business.param;

import java.util.List;

public class CheckRecordParam {
	private Long planTaskId;
	private Long pointId;
	private String pointName;
	private Long checkId;
	private String remark;
	private String userId;
	private String orgCode;
	private String checkDepartmentId;
	private List<String> checkRecordImg;
	/**
	 * 检查项分类
	 */
	private Long classId;
	/**
	 * 路线id
	 */
	private Long routeId;
	/**
	 * 检查时间
	 */
	private String checkTime;
	private String checkMode;
	/**
	 * 是否离线提交
	 */
	private Boolean isOffline = false;

	private List<CheckInputParam> checkItems;

	public Long getPointId() {
		return pointId;
	}

	public void setPointId(Long pointId) {
		this.pointId = pointId;
	}

	public Long getCheckId() {
		return checkId;
	}

	public void setCheckId(Long checkId) {
		this.checkId = checkId;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public List<CheckInputParam> getCheckItems() {
		return checkItems;
	}

	public void setCheckItems(List<CheckInputParam> checkItems) {
		this.checkItems = checkItems;
	}

	public Long getPlanTaskId() {
		return planTaskId;
	}

	public void setPlanTaskId(Long planTaskId) {
		this.planTaskId = planTaskId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getCheckTime() {
		return checkTime;
	}
	public String getCheckMode() {
		return checkMode;
	}
	public void setCheckTime(String checkTime) {
		this.checkTime = checkTime;
	}

	public Long getRouteId() {
		return routeId;
	}

	public void setRouteId(Long routeId) {
		this.routeId = routeId;
	}


	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public void setCheckMode(String checkMode) {
		this.checkMode = checkMode;
	}

	public Long getClassId() {
		return classId;
	}

	public void setClassId(Long classId) {
		this.classId = classId;
	}

	public Boolean getIsOffline() {
		return isOffline;
	}

	public void setIsOffline(Boolean isOffline) {
		this.isOffline = isOffline;
	}

	public String getCheckDepartmentId() {
		return checkDepartmentId;
	}

	public void setCheckDepartmentId(String checkDepartmentId) {
		this.checkDepartmentId = checkDepartmentId;
	}

	public List<String> getCheckRecordImg() {
		return checkRecordImg;
	}

	public void setCheckRecordImg(List<String> checkRecordImg) {
		this.checkRecordImg = checkRecordImg;
	}
}
